> For the complete documentation index, see [llms.txt](https://docs.suggestic.com/graphql/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.suggestic.com/graphql/objects/food-logs/portions.md).

# Portions

The `portions` object represents the predefined portions per food.  A recipe can return more than one portion. i.e the **Milk chocolate candies** recipe returns 3 different portions:

![](/files/KWLeCTR9MheceMvzjyKZ)

## Available fields

| **Field name** | **Type** | **Description**                                                                  |
| -------------- | -------- | -------------------------------------------------------------------------------- |
| `amount`       | Float    | Amount of the portions per food                                                  |
| `modifier`     | String   | <p>A different way of serving the same food. i.e. tbsp</p><p>, oz, cup, etc.</p> |
| `gramWeight`   | Float    | Weight of the portion expressed in grams                                         |

Use this object in the following:

* [commonFoods](https://docs.suggestic.com/graphql/query/queries/food-log/food-search#common-foods)
* [myCommonFoods](https://docs.suggestic.com/graphql/query/search/food-search-for-food-log/my-common-foods-search)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.suggestic.com/graphql/objects/food-logs/portions.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
